cve2:
  incdirs: [
    rtl,
    shared/rtl,
  ]
  files: [
    rtl/cve2_pkg.sv,
    rtl/cve2_alu.sv,
    rtl/cve2_compressed_decoder.sv,
    rtl/cve2_controller.sv,
    rtl/cve2_cs_registers.sv,
    rtl/cve2_counters.sv,
    rtl/cve2_decoder.sv,
    rtl/cve2_ex_block.sv,
    rtl/cve2_id_stage.sv,
    rtl/cve2_if_stage.sv,
    rtl/cve2_wb.sv,
    rtl/cve2_load_store_unit.sv,
    rtl/cve2_multdiv_slow.sv,
    rtl/cve2_multdiv_fast.sv,
    rtl/cve2_prefetch_buffer.sv,
    rtl/cve2_fetch_fifo.sv,
    rtl/cve2_pmp.sv,
    rtl/cve2_core.sv,
    shared/rtl/prim_assert.sv,
  ]
cve2_vip_rtl:
  targets: [
    rtl,
  ]
  incdirs: [
  ]
  files: [
    rtl/cve2_pkg.sv,
    rtl/cve2_tracer_pkg.sv,
    rtl/cve2_tracer.sv,
    rtl/cve2_core_tracing.sv,
  ]
cve2_regfile_rtl:
  targets: [
    rtl,
    tsmc55,
    gf22
  ]
  incdirs: [
  ]
  files: [
    rtl/cve2_register_file_latch.sv,
  ]
cve2_regfile_fpga:
  targets: [
    xilinx,
  ]
  incdirs: [
  ]
  files: [
    rtl/cve2_register_file_fpga.sv,
  ]

